
Katello - Bug #5236

Publishing RHEL content view takes 30+ minutes on some boxes

04/17/2014 07:18 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee:    

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It's either because I'm in development mode or because I have only 4GB of RAM, but publishing a content view with only rhel is

unbearably slow.

Related issues:

Blocks Katello - Support #5179: Get a baseline for content view performance Closed 04/14/2014

Associated revisions

Revision 770129be - 04/17/2014 04:55 PM - David Davis

Fixes #5236 - Speed up content view publish

Sped up indexing content for a RHEL content view from 20 min to 30-40 seconds.

Revision 199efb1e - 04/21/2014 06:16 PM - Justin Sherrill

Merge pull request #3989 from daviddavis/temp/20140417122656

Fixes #5236 - Speed up content view publish

History

#1 - 04/17/2014 08:02 PM - David Davis

- Status changed from Assigned to New

- Assignee deleted (David Davis)

#2 - 04/21/2014 06:54 PM - David Davis

- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset katello|commit:770129bee6b3116f1fb75dd4122f53d8327c038f.

#3 - 04/22/2014 01:30 PM - David Davis

- Blocks Support #5179: Get a baseline for content view performance added

#4 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/21/2014 02:46 PM - Eric Helms

- translation missing: en.field_release set to 13
